#!/bin/bash

BASE_URL=https://git.cringe-studios.com/CringeStudios/cloud-computing/raw/branch/main/glusterfs
HOSTNAME=team07-glusterfs-0

apt update
apt install -y docker docker-compose

hostnamectl set-hostname $HOSTNAME
systemctl enable --now docker

cd /home/ubuntu
wget -O docker-compose.yml $BASE_URL/docker-compose.yml
wget -O my.layout $BASE_URL/my.layout

sfdisk /dev/xvdb1 < my.layout
mkfs.ext4 /dev/xvdb1
echo "/dev/xvdb1 /data ext4 defaults 0 0"  >> /etc/fstab
mkdir -p /data && mount -a && mkdir -p /data/gv0
